
public class MaybeTest {
    public static void main(String[] args) {
        Maybe<Integer> maybe;
        maybe = Maybe.Just(1);
        System.out.println(maybe);
        System.out.println(maybe.fromJust());
        maybe = Maybe.Nothing();
        System.out.println(maybe);
        Maybe<String> maybe2 = Maybe.Nothing();
        System.out.println(maybe2);
        Maybe<Character> maybe3 = Maybe.Nothing();
        System.out.println(maybe3);
    }
}